How to Install Avidemux 2.7.0 in Ubuntu 16.04 or 17.04

August 19, 2017

Avidemux video editor

Avidemux video editor reached the new 2.7 series a few days ago. Now you can install it in Ubuntu 16.04 and/or Ubuntu 17.04 via GetDeb repository, though there’s already an appimage available.

For the release highlights and appimage, a single executable file (non-install), see this page.

To install Avidemux 2.7, open terminal via Ctrl+Alt+T or by searching for “terminal” from app launcher, and do following steps:

Avidemux 2.7.0

The getdeb repository has not been updated for a few months. For Ubuntu 17.04, Ubuntu 18.04 users who want to install Avidemux 2.7.0, see HERE

1. Add the GetDeb repository via command:

sudo sh -c 'echo "deb http://archive.getdeb.net/ubuntu $(lsb_release -sc)-getdeb apps" >> /etc/apt/sources.list.d/getdeb.list'

For Linux Mint 18.x, replace $(lsb_release -sc) directly with xenial in the command. Type in your password when prompts and hit Enter.

2. Download and install the repository key via command:

wget -q -O - http://archive.getdeb.net/getdeb-archive.key | sudo apt-key add -

3. Finally install avidemux2.6-qt either via Synaptic Package Manager:

avidemux 2.7 via synaptic

or by running command:

sudo apt-get update

sudo apt-get install avidemux2.6-qt

It’s Avidemux 2.7 though getdeb still uses the old 2.6 package naming system.

Uninstall:

You can remove the GetDeb repository via Software & Updates utility (Other Software tab), and remove Avidemux 2.7 either via Synaptic package manage or by running command:

sudo apt-get remove --autoremove avidemux2.6-qt

I'm a freelance blogger who started using Ubuntu 5+ years ago and wishes to share my experiences and some useful tips with Ubuntu beginners and lovers. Please notify me if you find any typo/grammar/language mistakes. English is not my native language. Contact me on Google Plus or email to ubuntuhandbook1@gmail.com

5 responses to How to Install Avidemux 2.7.0 in Ubuntu 16.04 or 17.04

  1. getdeb.net seems not to work anymore

  2. This worked for me w/ Linux Mint 18.3 MATE, however the get.deb repository is not signed and is warned as such when running in synaptic

  3. This does not work for 17.10

  4. This worked for me Kubuntu 16.04. Thank you!

  5. i love you:*